# -*- coding: utf-8 -*-
# Copyright 2024 Google LLC
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
from .productinputs import (
    DeleteProductInputRequest,
    InsertProductInputRequest,
    ProductInput,
)
from .products import (
    GetProductRequest,
    ListProductsRequest,
    ListProductsResponse,
    Product,
)
from .products_common import (
    Attributes,
    Certification,
    CloudExportAdditionalProperties,
    FreeShippingThreshold,
    Installment,
    LoyaltyPoints,
    LoyaltyProgram,
    ProductDetail,
    ProductDimension,
    ProductStatus,
    ProductStructuredDescription,
    ProductStructuredTitle,
    ProductWeight,
    Shipping,
    ShippingDimension,
    ShippingWeight,
    SubscriptionCost,
    SubscriptionPeriod,
    Tax,
    UnitPricingBaseMeasure,
    UnitPricingMeasure,
)

__all__ = (
    "DeleteProductInputRequest",
    "InsertProductInputRequest",
    "ProductInput",
    "GetProductRequest",
    "ListProductsRequest",
    "ListProductsResponse",
    "Product",
    "Attributes",
    "Certification",
    "CloudExportAdditionalProperties",
    "FreeShippingThreshold",
    "Installment",
    "LoyaltyPoints",
    "LoyaltyProgram",
    "ProductDetail",
    "ProductDimension",
    "ProductStatus",
    "ProductStructuredDescription",
    "ProductStructuredTitle",
    "ProductWeight",
    "Shipping",
    "ShippingDimension",
    "ShippingWeight",
    "SubscriptionCost",
    "Tax",
    "UnitPricingBaseMeasure",
    "UnitPricingMeasure",
    "SubscriptionPeriod",
)
